UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventAckInfo Class Reference

UMQ Stability Ack Info class. This info object is delivered with a source event indicating that a message is stable (i.e. has been acknowledged by a queue instance). More...

Inheritance diagram for com.latencybusters.lbm.UMQSourceEventAckInfo:

## Public Member Functions
| UMQSourceEventAckInfo (int flags, long queueId, String queue, long index, String queueInstance, UMQMessageId msgId, uint firstSequenceNumber, uint lastSequenceNumber, Object clientObject)
| Creates a UMQSourceEventAckInfo object and initializes fields to the supplied values. More...
virtual uint | firstSequenceNumber ()
| Get the sequence number of the first fragment of the message being acknowledged. More...
virtual uint | lastSequenceNumber ()
| Get the sequence number of the last fragment of the message being acknowledged. More...
virtual UMQMessageId | messageIdInfo ()
| Get the message Id object identifying the message being acknowledged. More...
virtual Object | clientObject ()
| Get the client-supplied callback object. More...
long | queueInstanceIndex ()
| Gets the index of the queue instance associated with this info object. More...
String | queueInstanceName ()
| Gets the name of the queue instance associated with this info object. More...
int | flags ()
| Get informational flags for this info object. More...
long | queueId ()
| Get Queue Id for the queue associated with this info object. More...
String | queueName ()
| Get Queue name for the queue associated with this info object. More...

## Detailed Description

UMQ Stability Ack Info class. This info object is delivered with a source event indicating that a message is stable (i.e. has been acknowledged by a queue instance).

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue,
|  | long | index,
|  | String | queueInstance,
|  | UMQMessageId | msgId,
|  | uint | firstSequenceNumber,
|  | uint | lastSequenceNumber,
|  | Object | clientObject
| ) |  |

Creates a UMQSourceEventAckInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue the receiver registered with.
  index | The index of the instance of the queue.
  queueInstance | The instance of the queue.
  msgId | The registration Id of the source context where the message being acknowledged originated.
  firstSequenceNumber | The sequence number of the first fragment associated with the acknowledgment message.
  lastSequenceNumber | The sequence number of the last fragment associated with the acknowledgment message.
  clientObject | The client object associated with the acknowledgment message.

## Member Function Documentation

virtual Object com.latencybusters.lbm.UMQSourceEventAckInfo.clientObject | ( |  | ) |
| virtual

Get the client-supplied callback object.

Returns
  Client-supplied object.

virtual uint com.latencybusters.lbm.UMQSourceEventAckInfo.firstSequenceNumber | ( |  | ) |
| virtual

Get the sequence number of the first fragment of the message being acknowledged.

Returns
  Sequence number of the first fragment of the message being acknowledged.

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

virtual uint com.latencybusters.lbm.UMQSourceEventAckInfo.lastSequenceNumber | ( |  | ) |
| virtual

Get the sequence number of the last fragment of the message being acknowledged.

Returns
  Sequence number of the last fragment of the message being acknowledged.

virtual UMQMessageId com.latencybusters.lbm.UMQSourceEventAckInfo.messageIdInfo | ( |  | ) |
| virtual

Get the message Id object identifying the message being acknowledged.

Returns
  A UMQMessageId object identifying the message being acknowledged.

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

long com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceIndex | ( |  | ) |
| inherited

Gets the index of the queue instance associated with this info object.

Returns
  Index of the queue instance associated with this info object.

String com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName | ( |  | ) |
| inherited

Gets the name of the queue instance associated with this info object.

Returns
  Name of the queue instance associated with this info object.

References com.latencybusters.lbm.LBM.UME_MAX_STORE_STRLEN.

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN.

The documentation for this class was generated from the following file:

- UMQSourceEventAckInfo.cs